angular.module("Flexikon.directives").directive('dcConfirmDialog', ->
	restrict: 'E'
	require: ''
	scope: {
		shown          : '=' # control show status with this bool
		positive       : '@' # positive button text
		positiveAction : '&' # positive button callback
		negative       : '@' # negative button text
		negativeAction : '&' # negative button callback
		cancel         : '@' # cancel button text
		cancelAction   : '&' # cancel button callback
		hint           : '@' # additional hint
		closeOnBackdrop: '=' # control close on backdrop availability via bool
		backdropAction : '&' # backdrop callback
	}
	templateUrl: 'templates/DcConfirmDialogTemplate.html'
	controller: 'DcConfirmDialogCtrl'	
)