angular.module("Flexikon.controllers").controller('DcDefinitionFormCtrl', ($scope, $timeout, FlexikonApi, ExtendedState, Load) ->
  
  ###*
   * [wiki - wiki content of the input]
  ###
  $scope.wiki =
    content : '==Definition==\n'
    initial : '==Definition==\n'
    changed : false

  ###*
   * [submit - create the article and lead the user to the corresponding detail page]
   * @return
  ###
  @submit = ->
    if $scope.wiki.initial.trim() == $scope.wiki.content.trim()
      return

    Load.isBlocked(true)
    FlexikonApi.post(@title(), $scope.wiki.content, undefined, (result) ->
      ExtendedState.openInSameBranch('article', {page : window.decodeURIComponent(@title())})
      Load.isBlocked(false)
    , (error) ->
      Load.isBlocked(false)
    )

  $scope.$watch('wiki.content', (n, o) ->
    $scope.wiki.changed = n? && (n.trim() != $scope.wiki.initial.trim())
  )

  return
)