angular.module("Flexikon.directives").directive('dcpublish', ($ionicGesture) ->
	restrict: 'E'
	scope: 
		id: '@'
	templateUrl: 'templates/DcPublishTemplate.html'
	controller: 'DcPublishCtrl'
	link: (scope, element, attrs) ->
		scope.onDragUp = ->
			event.preventDefault()
			event.stopPropagation()
			event.gesture.stopDetect()
			event.gesture.preventDefault()
			event.gesture.stopPropagation()
		scope.dragUpAction = $ionicGesture.on('dragup', scope.onDragUp, element)

		scope.onDragDown = ->
			event.preventDefault()
			event.stopPropagation()
			event.gesture.stopDetect()
			event.gesture.preventDefault()
			event.gesture.stopPropagation()
		scope.dragDownAction = $ionicGesture.on('dragdown', scope.onDragDown, element)

		scope.$on('$destroy', ->
			$ionicGesture.off(scope.dragUpAction, 'dragup', scope.onDragLeft)
			$ionicGesture.off(scope.dragDownAction, 'dragdown', scope.onDragDown)
		)

)