angular.module("Flexikon.services").factory("ArticleHistory", () ->

  hst : {}

  push : (stateName, articleName, language='de') ->
    console.log('ArticleHistory %s, %s', stateName, articleName)

    if !@hst[stateName]? then @hst[stateName] =
      stateHistory : []
      stateIndex   : -1

    if @hst[stateName].stateHistory.indexOf(articleName) >= 0
      @hst[stateName].stateIndex = @hst[stateName].stateHistory.indexOf(articleName)
      return @forwardAvailable(stateName)

    @hst[stateName].stateIndex++
    if @hst[stateName].stateHistory[@hst[stateName].stateIndex] != articleName
      @hst[stateName].stateHistory.splice(@hst[stateName].stateIndex, @hst[stateName].stateHistory.length - @hst[stateName].stateIndex)
      @hst[stateName].stateHistory.push(articleName)
      return @forwardAvailable(stateName)

  getCurrent : (stateName) ->
    return @hst[stateName].stateHistory[@hst[stateName].stateIndex]

  backAvailable : (stateName) ->
    return @hst[stateName]?.stateIndex >= 0 || false

  forwardAvailable : (stateName) ->
    return @hst[stateName]?.stateIndex < @hst[stateName]?.stateHistory.length - 1 || false

  back : (stateName) ->
    if @backAvailable(stateName)
      if @hst[stateName].stateIndex > -1 then @hst[stateName].stateIndex--
      return @getCurrent(stateName)

  forward : (stateName) ->
    if @forwardAvailable(stateName)
      @hst[stateName].stateIndex++
      return @hst[stateName].stateHistory[@hst[stateName].stateIndex]

  getListing: ->
    return hst

)