angular.module("Flexikon.services").factory("ArticleLoading", ($timeout) ->

	lockCounter : 0
	locks : []
	timeouts : {}

	requestLock : (timeout = 5000) ->
		@timeouts[@lockCounter] = $timeout(->
			@releaseLock(@lockCounter)
		, timeout)

		locks.push @lockCounter
		return @lockCounter++

	releaseLock : (lock) ->
		@locks.splice(@locks.indexOf(lock), 1)
		$timeout.cancel(@timeouts[lock])
		return 

	isLocked : ->
		return @locks.length > 0

)