# DcMediaWiki service

angular.module("Flexikon.services").factory("DcMediaWiki", (GlobalSettings) ->

	splitHtml : (content) ->
		sections  = content.split('<h2')
		for section,index in sections 
			if section.indexOf('</h2') >= 0 then sections[index] = '<h2' + section
		return sections

	splitWiki : (article) ->
		$scope.splittedWiki = {}

		splitResult = $scope.wiki.article.substr($scope.wiki.article.indexOf('\n==')).split(/(?:\n\=\=)([^\=]+)(?:\=\=)/gm)
		index = if splitResult[0].length == 0 then 1 else 0
		while index < splitResult.length
			$scope.splittedWiki[splitResult[index++]] = splitResult[index++]

	getLanguageAndTitle : (page) ->
		language = GlobalSettings.Language() 
		if page.match(/^(:|\/)/)?.length == 2
			match = page.match(/(?::|\/)(.{2})(?::|\/)/)
			page = page.replace(match[0], '')
			language = match[1]
		return {
			language: language
			title : page
		}

	escapeStringForRegex : (str) ->
		return str.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g, "\\$&");

)