angular.module("Flexikon.services").factory("Theme", (LocalStorage) ->

	theme : LocalStorage.get('theme') || 'light'

	select : (theme) ->
		LocalStorage.set('theme', theme) 
		@theme = theme
		if @darkThemeSelected() then angular.element('body').addClass('dark-theme') else angular.element('body').removeClass('dark-theme')
		return @theme

	toggle : ->
		if @theme == 'dark' then @theme = 'light' else @theme = 'dark'
		LocalStorage.set('theme', @theme)
		return @theme

	darkThemeSelected : ->
		return @theme == 'dark'

	getSelected : ->
		return @theme || LocalStorage.get('theme') || 'light'
)