angular.module("Flexikon.translations").config(($translateProvider) ->

  $translateProvider.translations('de_DE', {
    ###
    #
    # 888888   8888888
    # 88   88  88
    # 88    88 88
    # 88    88 8888
    # 88    88 88
    # 88   88  88
    # 888888   8888888
    #
    ###
    
    ###
    # Globals
    ###
    'GLOB_DC_FLEXIKON'                  : 'DocCheck Flexikon'
    'GLOB_NO_CONNECTION'                : 'Keine Verbindung!'

    ###
    # Views
    ###

    # Home
    'DC_HOME_ERROR'                     : 'Da ist was schiefgelaufen.<br /><br />Überprüfe Deine Internetverbindung und versuche es erneut!'

    # Favorites
    'FAVORITES_TITLE'                   : 'Favoriten'
    
    'SAVED_ARTICLES'                    : 'Gespeicherte Artikel'
    'SAVED_ARTICLES_NOTHING'            : 'Du hast noch keine Artikel gespeichert.'

    'CONTRIBUTIONS'                     : 'Meine Artikel'
    'CONTRIBUTIONS_NOTHING'             : 'Du hast noch keine Artikel erstellt oder bearbeitet.'
    'CONTRIBUTIONS_ERROR'               : 'Deine Artikel konnten nicht abgerufen werden.<br /Überprüfe Deine Internetverbindung und versuche es erneut!'
    'CONTRIBUTIONS_SIGNIN'              : 'Logge Dich ein, um Deine Beteiligungen am Flexikon zu sehen.'
    'LAST_SEEN'                         : 'Zuletzt angesehen'
    'LAST_SEEN_NOTHING'                 : 'Du hast noch keine Artikel angesehen.'

    # Search
    'SEARCH_TITLE'                      : 'Suche'
    'SEARCH_ERROR'                      : 'Da ist was schiefgelaufen.<br /><br />Überprüfe Deine Internetverbindung und versuche es erneut!'
    'SEARCH_NO_FAVS'                    : 'Da ist was schiefgelaufen.<br /><br />Überprüfe Deine Internetverbindung und versuche es erneut!'
    'SEARCH_DEFINE'                     : 'Nichts gefunden? Mach den Anfang und schreib eine Definition.'

    # Settings
    'SETTINGS_HEADING'                  : 'Einstellungen'
    'SETTINGS_SIGNOUT'                  : 'Abmelden'
    'SETTINGS_PRIVACY'                  : ''
    'SETTINGS_HELP'                     : 'Hilfe & Tipps'
    'SETTINGS_PROMOTION'                : 'Mehr von DocCheck'
    'SETTINGS_DISCLAIMER'               : 'Disclaimer'
    'SETTINGS_PROFILE'                  : 'Profil einrichten'
    'SETTINGS_LANGUAGE'                 : 'Sprache'
    'SETTINGS_IMPORTANT'                : 'Wichtiger Hinweis'
    'SETTINGS_OFFLINE'                  : 'Artikel offline speichern'
    'SETTINGS_RESTORE_PURCHASE'         : 'In-App-Kauf wiederherstellen'

    'PROMOTION_HEADING'                 : 'Mehr von DocCheck'
    'PROFILE_HEADING'                   : 'Profil einrichten'
    
    'HELP_HEADING'                      : 'Hilfe & Tipps'
    'HELP_CONTENT'                      : '<b class="heading"> Wofür kann ich die DocCheck Flexikon App nutzen? </b> <br />
        <ul>
             <li> Greif auf mehr als 45.000 medizinische Artikel zu  </li>
             <li> Korrigiere und schreibe Artikel zu Themen Deiner Wahl  </li>
             <li> Markiere besonders relevante Artikel und speichere sie Dir offline ab  </li>
        </ul>
        <br />
        <b class="heading"> Wie bearbeite ich bestehende Artikel?</b> <br />
        Artikel, die bereits im Flexikon vorhanden sind, kannst Du über das Stift-Icon im Artikel bearbeiten. Aus dem Bearbeitungsmodus heraus kannst Du Dir Deine Änderungen erst einmal ansehen oder sie direkt speichern. <br />
        <br />
        <b class="heading"> Wie erstelle ich neue Artikel?</b> <br />
        Wenn Du einen Begriff in der Flexikon-Suche nicht findest, kannst Du dort selbst mit einer Definition beginnen. Sobald Du Deine Definition speicherst, wird ein neuer Artikel angelegt, den Du über das Stift-Icon bearbeiten kannst. <br />
        <br />
        <b class="heading"> Wie kann ich einen Artikel als Favorit markieren? </b> <br />
        Zunächst loggst Du Dich mit Deinem DocCheck Account ein. Wenn Du einen Artikel gefunden hast, den Du später schnell wiederfinden möchtest, kannst Du ihn über das Herz-Icon im oberen Balken markieren. Ab jetzt wird er unten in der Navigation unter „Favoriten“ auftauchen. <br />
        <br />
        <b class="heading"> Wie kann ich Artikel offline speichern? </b> <br />
        Um Artikel lokal zu speichern, kannst Du im Inhaltsverzeichnis die kostenpflichtige Option „Artikel offline speichern“ auswählen. Im Anschluss sind alle Artikel, die Du Dir als Favoriten markiert hast, auch ohne Internetzugang abrufbar. Sobald Du Dein Gerät wieder mit dem Internet verbindest, werden die Artikel auf den neusten Stand gebracht. Videos und Medien sind ausschließlich online verfügbar.<br />
        <br />
        <b class="heading"> Wie kann ich die Optik der App individuell anpassen? </b>
        In der Detailansicht eines Artikels befindet sich oben rechts das Menü. Hier kannst Du unter „Ansicht“ die Schriftgröße und das Farbschema anpassen, über „O“ wird die Größe auf die Originalansicht zurückgesetzt. Außerdem kannst Du hier im Inhaltsverzeichnis zwischen einzelnen Kapiteln im Artikel navigieren.<br />
        <br />
        <b> Wichtiger Hinweis: </b> Das DocCheck Flexikon ist ein offenes Lexikon, das ausschließlich der Aus- und Weiterbildung dient. Es ist keine Anleitung zur Selbsttherapie und kein Ersatz für eine ärztliche Beratung oder Behandlung.</b>
        Es wird von den teilnehmenden Autoren nach bestem Wissen gepflegt. Die Autoren und die Betreiber des DocCheck Flexikons übernehmen keine Haftung für Schäden, die durch unreflektierte bzw. nicht-kontrollierte Anwendung von Empfehlungen, Inhalten oder Meinungsäußerungen entstehen, die im DocCheck Flexikon zu Lehr- oder Demonstrationszwecken publiziert sind.<br />
        Artikel, die Angaben zum Einsatz und zur Dosierung von Medikamenten machen, entsprechen der persönlichen Einschätzung der Autoren. Sie sind kein Ersatz für die Empfehlungen des Herstellers oder des behandelnden Arztes oder Apothekers.<br />
        <br />'

    'SIDEMENU_TOC'                      : 'Inhaltsverzeichnis'
    'SIDEMENU_AUTHORS'                  : 'Autoren des Artikels'
    'SIDEMENU_VERSIONS'                 : 'Versionen'
    'SIDEMENU_SHARE'                    : 'Artikel teilen'
    'SIDEMENU_FONTSIZE'                 : 'Ansicht'

    'POPOVER_FONTSIZE'                  : 'Schriftgröße'
    'POPOVER_THEME'                     : 'Farbschema'

    'IMPORTANT_HEADING'                 : 'Wichtiger Hinweis'
    'IMPORTANT_CONTENT'                 : ''

    'DISCLAIMER_CONTENT'                : 'Das DocCheck Flexikon ist ein offenes Lexikon, das ausschließlich der Aus- und Weiterbildung von Angehörigen und Studenten der medizinischen Fachkreise (z.B. Ärzte, Apotheker, Tierärzte, Zahnärzte) dient. Es ist keine Anleitung zur Selbsttherapie und kein Ersatz für eine ärztliche Beratung oder Behandlung.</b>

Es wird von den teilnehmenden Autoren nach bestem Wissen gepflegt. Die Autoren und die Betreiber des DocCheck Flexikons übernehmen keine Haftung für Schäden, die durch unreflektierte bzw. nicht-kontrollierte Anwendung von Empfehlungen, Inhalten oder Meinungsäußerungen entstehen, die im DocCheck Flexikon zu Lehr- oder Demonstrationszwecken publiziert sind.<br />

Artikel, die Angaben zum Einsatz und zur Dosierung von Medikamenten machen, entsprechen der persönlichen Einschätzung der Autoren. Sie sind kein Ersatz für die Empfehlungen des Herstellers oder des behandelnden Arztes oder Apothekers.<br />'
    'DISCLAIMER_IMPRESS'                : 'Impressum'
    'DISCLAIMER_HEADING'                : 'Disclaimer'

    # Article
    'ARTICLE_TITLE'                     : 'Artikel'

    ###
    # Directives
    ###

    'DC_DEFINITION_NO_RESULTS'          : 'Zu Deinem Suchbegriff gibt es noch keine Einträge'
    'DC_DEFINITION_PLEASE_DEFINE'       : 'Mach den Anfang und definiere "{{title}}"'
    'DC_DEFINITION_SUBMIT'              : 'Abschicken'

    'DC_ARTICLE_HEADING'                : 'Artikel'
    'DC_ARTICLE_DEFINE'                 : 'Dieser Artikel existiert noch nicht.<br />Mach jetzt den Anfang!'
    'DC_ARTICLE_FINDINPAGE_PLACEHOLDER' : 'Suchen...'
    'DC_ARTICLE_SAVED'                  : 'Artikel erfolgreich gespeichert'
    'DC_ARTICLE_SAVED_ERROR'            : 'Artikel konnte nicht gespeichert werden. Überprüfe Deine Internetverbindung und versuche es erneut!'
    'DC_ARTICLE_OFFLINE_HINT'           : '(zuletzt aktualisiert am {{date}})'
    'DC_ARTICLE_OFFLINE_BUY'            : 'Der Artikel konnte nicht abgerufen werden. Prüfe Deine Internetverbindung oder versuche es später erneut. <br /><br />
                                           Wenn Du in Zukunft Flexikon-Artikel auch offline lesen möchtest - die Vollversion der App macht\'s möglich!'
    'DC_ARTICLE_OFFLINE_BOUGHT'         : 'Der Artikel konnte nicht abgerufen werden. Prüfe Deine Internetverbindung oder versuche es später erneut. <br /><br />
                                           Du möchtest diesen Artikel immer parat haben? Dann füge ihn zu Deinen Favoriten hinzu und lese ihn offline!'
    'DC_ARTICLE_RETRY'                  : 'Erneut versuchen'

    'DC_ARTICLE'                        :
      'SUMMERBREAK'                       :
        'POPOVER_HINT_PLAIN'                : '
            <div class="dc-bold">Sommerpause</div>
            <br />
            Das Flexikon hat Sommerpause! Für mehr Informationen besuche die Website!
        '
        'POPOVER_HINT_DATE'                 : '
            <div class="dc-bold">Sommerpause</div>
            <br />
            Das Flexikon hat vom {{from}} bis zum {{to}} Sommerpause!
        '
        'POPOVER_HINT_FAILURE'              : '
            Es konnte keine Verbindung zu DocCheck hergestellt werden!<br />
            Prüfe Deine Verbindung oder versuche es später erneut!
        '
        'COME_BACK'                         : '
            Nach der Sommerpause kannst Du wieder wie gewohnt Artikel erstellen & editieren!
        '


    'DC_TABLE_SHOW_MORE'                : 'Mehr...'
    'DC_TABLE_SHOW_LESS'                : 'Weniger...'

    'DC_PUBLISH_NOT_ALLOWED'            : 'Entweder konnte das Dokument nicht abgerufen werden oder das Dokument kann aufgrund seiner Rechte-Einstellungen nicht angezeigt werden.'

    'DC_3D_ERROR'                       : ''
    'DC_3D_CLOSE'                       : 'Zurück zum Artikel'
    'DC_MEDIA_VIEWER_ERROR'             : ''
    'DC_PARSE_ERROR'                    : ''

    # Login
    'DC_LOGIN_USERNAME'                 : 'Nutzername'
    'DC_LOGIN_PASSWORD'                 : 'Passwort'
    'DC_LOGIN_PASSWORDFORGOTTEN'        : 'Passwort vergessen?'
    'DC_LOGIN_REGISTER'                 : 'Kostenlos registrieren'
    'DC_LOGIN_SUBMIT'                   : 'Einloggen'
    'DC_LOGIN_REQ_USER'                 : 'Bitte gib Deinen Nutzernamen ein.'
    'DC_LOGIN_REQ_PASSWORD'             : 'Bitte gib Dein Passwort ein.'
    'DC_LOGIN_FAILED'                   : 'Nutzername oder Passwort nicht korrekt.'
    'DC_LOGIN_SETTINGS'                 : 'Bitte logge Dich mit Deinem DocCheck Passwort ein, um alle Funktionen zu nutzen.'

    'LANG_DE'                           : 'Deutsch'
    'LANG_EN'                           : 'Englisch'

    ###
    # Neue Keys! Done
    ###

    ###
    'DC_PURCHASE_TEXT_VERSION1'         : 'Alle Flexikon-Artikel <span class="white">werbefrei</span> und<br /><span class="white">Favoriten offline</span> lesen für nur <span class="white">2,99 €</span>'
    ###
    'DC_PURCHASE_TEXT_VERSION1'         : 'Du möchtest <span class="white">Favoriten offline</span> lesen<br />und Flexikon-Artikel <span class="white">werbefrei</span> genießen?'
    'DC_PURCHASE_TEXT_VERSION1b'        : '<ul><li><span class="white">Favoriten offline</span> lesen</li><li>Flexikon <span class="white">werbefrei genießen</span></li></ul>'
    'DC_PURCHASE_TEXT_BUTTON'           : 'Jetzt upgraden!'
    'DC_PURCHASE_TEXT_VERSION2'         : 'Alle Flexikon-Artikel werbefrei und<br/>Favoriten offline lesen für nur 2,99 €'
    'DC_OPEN'                           : 'weiter zum Artikel'
    'DC_ARTICLE_LEAVE_HINT'             : 'Du hast Deine Änderungen noch nicht gespeichert. Möchtest Du den Artikel wirklich verlassen?'
    'DC_ARTICLE_LEAVE_WITH_SAVE'        : 'Änderungen speichern'
    'DC_ARTICLE_LEAVE_WITHOUT_SAVE'     : 'Änderungen verwerfen'
    'DC_ARTICLE_CANCEL_LEAVE'           : 'Zurück zum Artikel'
    'DC_ARTICLE_NOT_FOUND'              : 'Dieser Artikel existiert noch nicht. Mach jetzt den Anfang mit einer Definition!'
    'DC_ARTICLE_NO_CONNECTION_TITLE'    : 'Keine Verbindung'
    'DC_ARTICLE_NO_CONNECTION'          : 'Der Artikel konnte nicht abgerufen werden. Prüfe Deine Internetverbindung oder versuche es später erneut!'
    'DC_ARTICLE_LOGIN'                  : 'Bitte logge dich mit Deinem DocCheck Passwort ein, um diesen Artikel zu editieren!'
    'DC_CREATE'                         : 'Artikel erstellen'
    'DC_QUICKSEARCH_PLACEHOLDER'        : 'Suchen'
    'SEARCH_SEARCHING_FAVS'             : 'Dein Gerät ist nicht mit dem Internet verbunden. Stell die Verbindung wieder her oder durchsuche Deine Favoriten.'
    'SEARCH_ONLINE_AGAIN'               : 'Die Internetverbindung ist wieder verfügbar! Starte einen neuen Suchlauf für mehr Ergebnisse.'

    ###
    # Neue Keys!
    ###
    'YOUTUBE_PREFIX'                    : 'Youtube Video'
    'YOUTUBE_TITLE_NOT_LOADED'          : 'Videotitel konnte nicht abgerufen werden.'
    'MODEL_NOT_LOADED'                  : '3D Modell konnte nicht abgerufen werden.'
    'DOCUMENT_NOT_LOADED'                : 'Dokument konnte nicht abgerufen werden.'
    'SEARCH_LATEST'                     : 'Kürzlich bearbeitete Artikel'
    'SETTINGS_OVERLAY_HOME_RERUN'       : 'Guided Tour starten'

    'DC_TUTORIAL_OVERLAY_HOME'          : 'Entdecke wechselnde aktuelle Top Artikel direkt auf der Startseite.'
    'DC_TUTORIAL_OVERLAY_BOOKMARK'      : 'Hier findest Du Deine Favoriten-Artikel, die Du mit der Vollversion der App auch im Offline Modus ansehen kannst!'
    'DC_TUTORIAL_OVERLAY_SEARCH'        : 'Suche nach konkreten Fachbegriffen aus der Medizin.'
    'DC_TUTORIAL_OVERLAY_SETTINGS'      : 'Verwalte und individualisiere die App nach Deinen Ansprüchen.'

    'DC_TUTORIAL_OVERLAY_NEWBOOKMARK'   : 'Markiere diesen Artikel als Favorit, um ihn unter Deinen persönlichen Lieblingsartikeln zu speichern'
    'DC_TUTORIAL_OVERLAY_EDIT'          : 'Editiere diesen Artikel und...'
    'DC_TUTORIAL_OVERLAY_PREVIEW'       : '...sieh\' Dir die Änderungen in der Vorschau an'
    'DC_TUTORIAL_OVERLAY_TOC'           : 'Im Seitenmenü findest Du das Inhaltsverzeichnis und weitere Funktionen.'
    'DC_TUTORIAL_OVERLAY_APPEARANCE'    : 'Wähle Schriftgröße und Farbschema aus.'
    'DC_TUTORIAL_OVERLAY_SHARE'         : 'Empfiehl diesen Artikel an Freunde und Kollegen weiter!'
    'DC_TUTORIAL_OVERLAY_PREMIUM'       : 'Deine Favoriten kannst Du auch offline und werbefrei lesen!'

    'SEARCH_CREATE'                     : 'Nicht gefunden, wonach Du gesucht hast? Mache den Anfang und schreibe eine <b>Definition</b>.'


    # passt so
    'LANG_DE_FLAG'                      : '0px'
    'LANG_EN_FLAG'                      : '-40px'

    'GUIDED_TOUR'                       :
      'CONFIRM_BUTTON'                    : 'Weiter'
      'GO_FOR_IT'                         : 'Los geht\'s!'
      'ARTICLE_STEPS'                     :
        'NEW_BOOKMARK'                      : 'Markiere diesen Artikel als Favorit, um ihn zu Deinen persönlichen Lieblingsartikeln hinzuzufügen.'
        'OPTIONS'                           : 'Unter diesem Button findest Du weitere verfügbare Aktionen.<br />
          <br />
          Um ihn an einer anderen Stelle zu platzieren, halte den Button lange gedrückt und ziehe ihn an die gewünschte Stelle.'
        'FIND_IN_PAGE_BUTTON'               : 'Über diesen Button öffnest Du die Suche innerhalb des Artikels.'
        'FIND_IN_PAGE_INPUT'                : 'Mit dieser Funktion kannst Du den Artikel nach Begriffen durchsuchen.'
        'EDIT'                              : 'Editiere diesen Artikel und...'
        'PREVIEW'                           : '...siehe Dir die Änderungen in der Vorschau an.'

    'STYLE_OVERLAY'                     :
      'TITLE'                             : 'Ansicht'
      'FONTSIZE'                          : 'Textgröße'
      'THEME'                             : 'Farbschema'
      'DARK'                              : 'dunkel'
      'LIGHT'                             : 'hell'

  })
)