angular.module("Flexikon.translations").config(($translateProvider) ->
    $translateProvider.translations('fr_FR', {
      ###
      #
      # 88888888 8888888
      # 88       88    88
      # 88       88    88
      # 88888    8888888
      # 88       88   88
      # 88       88    88
      # 88       88     88
      #
      ###
      'DC_PICTURES'                       : 'Doc<b>Check</b> Pictures'

      'SEARCH_PLACEHOLDER'                : 'Chercher'
      'SEARCH_CONNECTION_INFO'            : 'Connexion à DocCheck Pictures n\'a pas pu être établie.'
      'SEARCH_NEWEST_PICTURES'            : 'Dernières photos'
      'SEARCH_NO_RESULTS'                 : 'Pas de résultats pour ce terme'
      'SEARCH_RESULTS_FOR'                : 'Résultats pour'

      'DETAIL_DELETE_CHECK_HEADING'       : 'Effacer photo'
      'DETAIL_DELETE_CHECK_CONTENT'       : 'Es-tu sûr de vouloir supprimer cette image ?'
      'DETAIL_DELETE_SUCCESS_HEADING'     : 'Supprimé avec succès'
      'DETAIL_DELETE_SUCCESS_CONTENT'     : 'The picture has been deleted successfully.'
      'DETAIL_DELETE_FAILURE_HEADING'     : 'Effacement a échoué.'
      'DETAIL_DELETE_FAILURE_CONTENT'     : 'Les informations d\'image n’ont pas pu être retirés. S’il te plaît contrôle ta connexion et réessaye plus tard.'
      'DETAIL_PICINFO_FAILURE_CONTENT'    : 'Les informations d\'image n’ont pas pu être chargés. S’il te plaît contrôle ta connexion et réessaye plus tard.'

      'EDIT_TITLE'                        : 'Modifier photo'
      'EDIT_PLACEHOLDER_DESCRIPTION'      : 'Description'
      'EDIT_PLACEHOLDER_TAG'              : 'Ajouter tag'
      'EDIT_PLACEHOLDER_TITLE'            : 'Titre'
      'EDIT_CHANGES_SUCCESS_HEADING'      : 'Changements enregistrés avec succès'
      'EDIT_CHANGES_SUCCESS_CONTENT'      : 'Tes changements ont été enregistrés.'
      'EDIT_CHANGES_FAILURE_HEADING'      : 'Changements échoués.'
      'EDIT_CHANGES_FAILURE_CONTENT'      : 'Tes changements ne pouvaient pas être appliqués. Vérifie ta connexion ou réessaye plus tard.'
      'EDIT_VISIBILITY_LABEL'             : 'Visibilité'
      'EDIT_VISIBILITY_PRIVATE'           : 'privé'
      'EDIT_VISIBILITY_PUBLIC'            : 'publique'
      'EDIT_VISIBILITY_DCMEMBER'          : 'DocCheck-membre'
      'EDIT_VISIBILITY_MEDIC'             : 'membre médical'

      'SEARCH_OWN_PICTURES'               : 'Mes images'
      'SEARCH_OWN_LOGIN_REQUIRED'         : 'Connecte-toi pour voir tes images.'

      'FEEDBACK_TITLE'                    : 'Envoyer feedback'

      'HELP_TITLE'                        : 'Aide &amp; tuyau'
      'HELP_CONTENT'                      : '<b style="color:#000">Qu’est-ce que c’est l’application Pictures ?</b><br />
                                              DocCheck Pictures est l’archive d’images gratuite de la plus grande communauté des professionnels de la santé en Europe. L’archive contient, en autre, des études de cas, des documentations des résultats, des microphotographies, l’imagerie en médecine et des schémas.
                                              Trifouille dans plus de 20.000 images médicales et partage tes cas intéressants avec plus de 1.000.000 collègues. <br />
                                              Avec l’application gratuite tu as l’archive d’images sur toi toujours et tu peux partagez tes cas facilement en appuyant sur un seul button. <br />
                                              <br />
                                              <b style="color:#000">Comment puis-je télécharger une image ?</b><br />
                                              Si tu cliques sur la caméra au milieu ci-dessus, tu peux choisir si tu souhaites télécharger des images à partir de ta bibliothèque ou si tu souhaites prendre une photo directement. La nouvelle image est automatiquement téléchargée directement sur DocCheck.<br />
                                              <br />
                                              <b style="color:#000">Qui peut voir mes images ?</b><br />
                                              Cela dépend de vos paramètres de visibilité. Vous pouvez changer cela en cliquant dans les paramètres « protection des données standard ».<br />
                                              <br />
                                              <b style="color:#000">Que dois-je prendre en considération en ce qui concerne la publication des images des patients ?</b><br />
                                              Chez les photos la récognition des patients ne peut pas être complètement exclu et des images de maladies affectent la vie privée des patients. Donc, le consentement du patient est nécessaire. S’il te plaît prend soin en tout cas que les visages des patients ne sont pas visible et ne publie pas les noms de tes patients.'

      'PRIVACY_TITLE'                     : 'Protection des données'

      'SETTINGS_TITLE'                    : 'Paramètres'
      'SETTINGS_NOTIFICATIONS'            : 'Notifications'
      'SETTINGS_SAVE_LOCALLY'             : 'Enregistrer locale'
      'SETTINGS_SIGN_OUT'                 : 'Déconnecter'
      'SETTINGS_HELP'                     : 'Aide &amp; tuyau'
      'SETTINGS_PRIVACY'                  : 'Protection des données'
      'SETTINGS_FEEDBACK'                 : 'Envoyer feedback'
      'SETTINGS_PROMOTION'                : 'Plus d’informations'

      'CONNECTION_ERROR'                  : 'Connexion a échoué'
      'NO_CONNECTION_HEADING'             : 'Pas de connection'
      'NO_CONNECTION_CONTENT'             : 'Pas de connexion internet disponible. S’il te plaît connecte ton appareil à l’internet et essaye à nouveau.'
      'YES'                               : 'Oui'            
      'NO'                                : 'Non'
      'CONFIRM'                           : 'Okay'
      'CANCEL'                            : 'Annuler'
      'SUBMIT'                            : 'Envoyer'
      'LOADING'                           : 'Chargement…'
      'LOGIN_REQUIRED'                    : 'Login nécessaire'
      'LOGIN_REQUIRED_CONTENT'            : 'S’il te plaît connecte-toi pour utiliser cette fonction.'
      'LOGIN_FAILED'                      : 'Connexion a échoué'
      'LOGIN_FAILED_CONTENT'              : 'Nom d\'utilisateur ou mot de passe incorrect.'
      'LOGIN_INCORRECT'                   : 'Combinaison de nom d\'utilisateur et mot de passe non invalide.'
      'UPLOAD_SUCCESS_HEADING'            : 'Téléchargement fini'
      'UPLOAD_SUCCESS_CONTENT'            : 'Ton image a été téléchargée.'
      'UPLOAD_FAILURE_HEADING'            : 'Téléchargement annulé'
      'UPLOAD_FAILURE_CONTENT'            : 'L\'image n\'a pas pu être téléchargé. S’il te plaît vérifie ta connexion internet ou le format de fichier'
      'UPLOAD_IN_PROGRESS_HEADING'        : 'Téléchargement…'
      'UPLOAD_IN_PROGRESS_CONTENT'        : 'Votre image sera téléchargée…'

      'DISCLAIMER_TITLE'                  : 'Disclaimer'
      'SETTINGS_DISCLAIMER'               : 'Disclaimer'
      'IMPRESS'                           : 'Impress'
      'LANGUAGE'                          : 'Language'
      'ADDITIONAL_INFORMATION'            : 'Additional information'
      'OFFLINE'                           : 'An error occured while loading.<br />
                                             Please check your Internet connection and try again.'
      'SEARCH_OWN_NO_ITEMS'               : 'You haven\'t uploaded any images yet. Click on the camrea below and start right now!'
      'PRIVACY_VISIBILITY_TEXT'           : 'Hier kannst Du einstellen, wer Deine Bilder sehen darf.' #!
      'PRIVACY_RIGHTS_LABEL'              : 'Rights'   
      'PRIVACY_RIGHTS_TEXT'               : 'Welche Rechte liegen auf deinen Bildern?' # !
      'PRIVACY_ALL_RIGHTS_RESERVED'       : 'All rights reserved'
      'PRIVACY_CREATIVE_COMMONS'          : 'Creative Commons'
      'PRIVACY_CC_ATTR'                   : 'Attribution'
      'PRIVACY_CC_ATTR_NODER'             : 'Attribution-NoDerivs'
      'PRIVACY_CC_ATTR_SHARE'             : 'Attribution-ShareAlike'
      'PRIVACY_CC_ATTR_NONCOMM'           : 'Attribution-NonCommercial'
      'PRIVACY_CC_ATTR_NONCOMM_NODER'     : 'Attribution-NonCommercial-NoDerivs'
      'PRIVACY_CC_ATTR_NONCOMM_SHARE'     : 'Attribution-NonCommercial-ShareAlike'
      'PRIVACY_PUBLIC_DOMAIN'             : 'Public Domain Dedication'

      'OVERLAY_TAKE_PHOTO'                : 'Take photo'
      'OVERLAY_OPEN_GALLERY'              : 'Pick from gallery'

      'PRIVACY_IN_FUTURE'                 : 'Soon you will also be able to change your default rights settings here.'
      'DETAIL_INFO'                       : 'Details'
      'LOGIN_REQUIRED_REF'                : 'Sign in to see more exciting pictures and to upload your own.'

      'DISCLAIMER_CONTENT'                : ''
    })
)