angular.module('Flexikon.controllers').controller('SubSettingsCtrl', ($scope, $state, $ionicHistory, $ionicPlatform, $ionicTabsDelegate, $ionicNavBarDelegate, $timeout, TabHide) ->
	
	$scope.$on('$ionicView.enter', ->
		#$ionicNavBarDelegate.showBackButton(false)
		$timeout(->
			TabHide.hide()
			#$ionicNavBarDelegate.showBackButton(false)
			#$ionicPlatform.onHardwareBackButton($scope.goBack)
		)		
	)

	$scope.$on('$ionicView.leave', ->
		TabHide.unhide()
		#$ionicNavBarDelegate.showBackButton(true)
	)

	$scope.selectTabForState = (state) ->
		if state.indexOf('tabs.home') >= 0
			$ionicTabsDelegate.select(0)
		else if state.indexOf('tabs.favorites') >= 0
			$ionicTabsDelegate.select(1)
		else if state.indexOf('tabs.search') >= 0
			$ionicTabsDelegate.select(2)
		else if state.indexOf('tabs.settings') >= 0
			$ionicTabsDelegate.select(3)

	$scope.goBack = ->
		$ionicPlatform.offHardwareBackButton($scope.goBack)

		$ionicHistory.backView().go()
		###
		backView = $ionicHistory.backView()
		$state.go('tabs.settings.overview')
		$timeout(->
			$scope.selectTabForState(backView.stateName)
			backView.go()
			TabHide.unhide()
		)
		###

	$scope.init = ->
		TabHide.hide()
		$scope.$on('$destroy', ->
			TabHide.unhide()
		)

	$scope.init()

)