angular.module("Flexikon.controllers").controller('DcConfirmDialogCtrl', ($scope, $ionicNavBarDelegate, TabHide, NavBar) ->

	###*
	 * [onBackdropClick - if close on backdrop is allowed, do so]
	 * @return 
	###
	$scope.onBackdropClick = ->
		if $scope.closeOnBackdrop
			$scope.shown = false
			$scope.backdropAction?()

	###*
	 * [watcher for hiding/unhiding bars]
	 * @param  {[bool]} n [new value]
	 * @param  {[bool]} o [old value]
	 * @return 
	###
	$scope.$watch('shown', (n, o) ->
		if o && !n
			NavBar.unhide()
			TabHide.unhide()
		else if !o && n
			NavBar.hide()
			TabHide.hide()
	)

)