angular.module("Flexikon.controllers").controller('DcLoginCtrl', ($scope, $timeout, Login, Load) ->

	$scope.form = 
		user 	: ''
		pw 		: ''

	$scope.$watchGroup(['form.user', 'form.pw'], (o, n) ->
		$scope.failed = false
		$scope.form.submitted = false
	)

	###*
	 * [submitLogin - submit login]
	 * @return
	###
	$scope.submitLogin = ->
		if $scope.form.user && $scope.form.pw
			Load.isBlocked(true)
			Login.sendLoginRequest($scope.form.user, $scope.form.pw, (data, status, headers, config) ->
				
				$scope.form.user = ""
				$scope.form.pw = ""				
				$scope.form.submitted = false
				$scope.form.failed = false
				$scope.form.noConnection = false
				Load.isBlocked(false)

			(data, status, headers, config) ->
				
				$scope.form.pw = ""
				$scope.form.submitted = true
				
				if status == 0
					$scope.form.noConnection = true
					$scope.form.failed = false	
				else
					$scope.form.failed = true
					$scope.form.noConnection = false
					if data.strErrorMessage?.length > 0 then $scope.form.errorMsg = data.strErrorMessage

				Load.isBlocked(false)

			)
		else
			$scope.form.submitted = true

	###*
	 * [openUrl - open PW forgotten or register link in external browser]
	 * @param  {[String]} url [url to navigate to]
	 * @return
	###
	$scope.openUrl = (url) ->
		if cordova?
			ref = window.open(url, "_system")
		else
			window.open(url, "_blank")
	
)