angular.module("Flexikon.directives").directive('dcParseWiki', ($timeout, FlexikonApi) ->
  replace: true
  restrict: 'E'
  scope:
    wikiText: '@'
    language: '@'
  templateUrl: 'templates/DcParseWikiTemplate.html'
  link: (scope, element, attrs) ->
    scope.ui =
      error : false

    if scope.wikiText.indexOf('{cite') >= 0
      element.addClass('cite')

    FlexikonApi.getTemplate(scope.wikiText.replace(/\\\{/g, '{').replace(/<dc/g, '<#dc'), scope.language
    , (data) ->
      scope.parsedWikiText = data.parse.text['*'].replace(/&lt;/g, '<').replace(/&gt;/g, '>').replace(/<\#dc/g, '<dc').replace(/src="\//gmi, 'src="http://dccdn.de/flexikon.doccheck.com/')
      $timeout ->
        scope.loaded = true
    , (error) ->
      console.warn error
      scope.ui.error = true
      scope.loaded = true
    )
)