angular.module("Flexikon.controllers").controller('DcPublishCtrl', ($scope, $sce, $ionicScrollDelegate, $location, $timeout, FlexikonApi, PublishApi, $ionicModal, FullscreenViewer, ToC) ->

	if $scope.id?
		$scope.preview = $sce.trustAsResourceUrl(FlexikonApi.getBaseUrl() + 'publish/document/thumbnail/' + $scope.id + '/medium/')

		PublishApi.getPublishContent($scope.id, window.innerWidth+2, window.innerHeight-44)
		.success((response) ->
			$scope.modalTemplate = '
				<ion-modal-view>
					<div class="fullscreen-modal-wrapper document-modal" ng-controller="ModalCtrl">' + 
						'<ion-header-bar align-title="center" class="bar-doccheck" no-tap-scroll="true">
						  <button class="button back-button buttons button-clear fa fa-chevron-left header-item" ng-click="closeModal()"></button>
						  <h1 class="title"></h1>
						  <button class="button open-external buttons button-clear fa fa-external-link header-item" ng-click="openUrl(\'' + PublishApi.getLinkFor('document') + $scope.id + '\')"></button>
						</ion-header-bar>' +
						response.data + 
					'</div>
				</ion-modal-view>'
		).error((error) ->
			console.warn error
			$scope.error = true
		)

	###*
	 * [toggleFullscreen - open publish fullscreen viewer]
	 * @return
	###
	$scope.toggleFullscreen = ->		
		FullscreenViewer.openModal($scope.modalTemplate, $scope)
	
)