angular.module("Flexikon.controllers").controller('DcSearchBarCtrl', ($scope, $state, $timeout, Network) ->

  $scope.offline = $scope.offline || false
  
  ###*
   * [submit - search bar submit action]
   * @param  {[Event]} $event [submit event]
   * @return
  ###
  $scope.submit = ($event) ->
    if $scope.isClearButton()
      $scope.term.model = ''
      $scope.clearAction?()
      $timeout(->
        angular.element('.search-view #search-field')[0].focus()
      )
      return

    $event?.target.blur()
    document.activeElement?.blur?()

    $scope.term.value = $scope.term.model

    $scope.submitAction?()

    if analytics? && $scope.term then analytics.trackEvent(
      'Article'
      'search'
      $scope.term.value
    )

  ###*
   * [isClearButton - clear text from input if text equals last searched term]
   * @return {Boolean} [true if equals]
  ###
  $scope.isClearButton = ->
    return $scope.term.value.length > 0 && $scope.term.value == $scope.term.model || $scope.offline && $scope.term.model.length > 0 && !Network.hasConnection()

)