angular.module("Flexikon.directives").directive('dctv', ($ionicPlatform) ->
  restrict: 'E'
  scope: true
  templateUrl: 'templates/DcTvTemplate.html'
  controller: 'DcTvCtrl'
  link: (scope, element, attrs) ->
    scope.screen =
      width: element.closest('dc-expandable').width() - parseInt(element.closest('.html-content').css('padding')) * 2

    scope.listeners.push scope.$on('article.beforeLeave', ->
      element.find('video')?[0]?.pause()
    )

    scope.bindFullscreenListener = ->
      element.find('video').bind('webkitfullscreenchange mozfullscreenchange fullscreenchange', (event) ->
        state = document.fullScreen || document.mozFullScreen || document.webkitIsFullScreen

        if state
          scope.deregisterBackButtonAction = $ionicPlatform.registerBackButtonAction(->
            scope.exitFullscreen()
            return
          , 101)
        else
          scope.deregisterBackButtonAction()
      )

    scope.exitFullscreen = ->
      element.find('video')[0].webkitExitFullscreen()
)