angular.module("Flexikon.directives").directive('detectGesture', ->
  restrict: 'A'
  require: ''
  controller: 'DetectGestureCtrl'
  link : (scope, elem, attrs) ->
    gestureType = attrs.gestureType

    scope.reportEvent = ->
      console.debug event

    switch(gestureType)
      when 'swipe'
        $ionicGesture.on('swipe', scope.reportEvent, elem)
        break
      when 'swiperight'
        $ionicGesture.on('swiperight', scope.reportEvent, elem)
        break
      when 'swipeleft'
        $ionicGesture.on('swipeleft', scope.reportEvent, elem)
        break
      when 'doubletap'
        $ionicGesture.on('doubletap', scope.reportEvent, elem)
        break
      when 'tap'
        $ionicGesture.on('tap', scope.reportEvent, elem)
        break
      when 'scroll'
        $ionicGesture.on('scroll', scope.reportEvent, elem)
        break
)