angular.module("Flexikon.directives").directive('references', ->
	restrict: 'E'
	scope: true
	templateUrl: 'templates/ReferencesTemplate.html'
	controller: 'ReferencesCtrl'
	link: (scope, element, attrs) ->
		refs = element.closest('.article-container').find('ref')
		
		scope.refs = []
		rand = parseInt(Math.random() * 10000)
		i = 1
		refs.each(->
			scope.refs.push('<a id="refbot' + rand + '" href="#ref' + rand + '" class="fa fa-long-arrow-up"></a> ' + this.innerHTML)
			angular.element(this).attr('id', 'ref' + rand).attr('count', i)
			angular.element(this).append("<a href=\"#refbot" + rand + "\" class=\"super\"> [" + i + "]</a>")
			rand++
			i++
		)	
)