angular.module("Flexikon.controllers").controller('YoutubeCtrl', ($scope, $attrs, $http, $filter, FullscreenViewer) ->
	
	$scope.yt = 
		title       : ''
		previewImage: 'http://img.youtube.com/vi/' + $attrs.v + '/0.jpg'
		error       : false

	$http.get("https://noembed.com/embed?format=json&url=https://www.youtube.com/watch?v=" + $attrs.v)
	.success((data) ->
		$scope.yt.title = data.title
	).error((data) ->
		$scope.yt.error = true
	)

	$scope.modalTemplate = '
	 	<ion-modal-view>
	 		<div class="fullscreen-modal-wrapper youtube-modal" ng-controller="ModalCtrl">
		 		<ion-header-bar align-title="center" class="bar-doccheck" no-tap-scroll="true">
				  <button class="button back-button buttons button-clear fa fa-chevron-left header-item" ng-click="closeModal()"></button>
				  <h1 class="title">{{yt.title}}</h1>
				  <button class="button open-external buttons button-clear fa fa-external-link header-item" ng-click="openUrl(\'https://www.youtube.com/watch?v=' + $attrs.v + '\')"></button>
				</ion-header-bar>	 		
	 			<iframe id="player" 
	 							type="text/html" 
	 							width="640" 
	 							height="390"
	  						src="http://www.youtube.com/embed/' + $attrs.v + '?enablejsapi=1&autoplay=1"
	  						frameborder="0" 
	  						>
	  		</iframe>
	  	</div>
	 	</ion-modal-view>'

	$scope.openFullscreen = ->		
		FullscreenViewer.openModal($scope.modalTemplate, $scope)
		screen?.lockOrientation?('landscape')



)