angular.module("Flexikon.services").factory("ABTest", (LocalStorage) ->

  initialized : false
  version : 0

  init: ->
    if LocalStorage.isSet('dc_flexikon_ab_test_banner_version')
      @version = LocalStorage.get('dc_flexikon_ab_test_banner_version')
      @initialized = true
      return

    @version = Math.floor(Math.random() * 2)
    LocalStorage.set('dc_flexikon_ab_test_banner_version', @version)
    @initialized = true
    @trackEvent('Persisted')

  get: ->
    if !@initialized
      @init()

    return @version

  trackEvent: (action) ->
    switch @version
      when 0 then bversion = 'Version1_Eumel_Red'
      when 1 then bversion = 'Version2_Cable_Green'
    
    if analytics? then analytics.trackEvent(
      'Purchase'
      action
      bversion
    ) 
    else 
      console.debug 'Analytics not available. Not tracking "Purchase"|"' + action + '"|"' + bversion + '"'


)