angular.module("Flexikon.services").factory "LocalStorage", [
  "$window"
  ($window) ->
    set: (key, value) ->
      $window.localStorage[key] = value

    get: (key, defaultValue) ->
      $window.localStorage[key] or defaultValue

    unset: (key) ->
      $window.localStorage[key] = ''

    isSet: (key) ->
      return ($window.localStorage[key] != undefined && $window.localStorage[key] != '' && $window.localStorage[key] != {})

    setObject: (key, value) ->
      $window.localStorage[key] = JSON.stringify(value)
    
    getObject: (key) ->
        JSON.parse $window.localStorage[key] or {}
]