angular.module("Flexikon.translations").config(($translateProvider) ->
	$translateProvider.translations('nl_NL', {
	  ###
	  #
	  # 888     88 88
	  # 8888    88 88
	  # 88 88   88 88
	  # 88  88  88 88
	  # 88   88 88 88
	  # 88    8888 88 
	  # 88     888 8888888888
	  #
	  ###
	  'DC_PICTURES'                       : 'DocCheck Pictures'

	  'SEARCH_PLACEHOLDER'                : 'Search'
	  'SEARCH_CONNECTION_INFO'            : 'Connection to DocCheck Pictures couldn\'t be established.'
	  'SEARCH_NEWEST_PICTURES'            : 'Newest pictures'
	  'SEARCH_NO_RESULTS'                 : 'No results for this keyword'
	  'SEARCH_RESULTS_FOR'                : 'results for'

	  'DETAIL_DELETE_CHECK_HEADING'       : 'Confirm deletion'
	  'DETAIL_DELETE_CHECK_CONTENT'       : 'Are you sure you want to delete this picture?'
	  'DETAIL_DELETE_SUCCESS_HEADING'     : 'Deleted successfully'
	  'DETAIL_DELETE_SUCCESS_CONTENT'     : 'The picture has been deleted successfully.'
	  'DETAIL_DELETE_FAILURE_HEADING'     : 'Deletion failed'
	  'DETAIL_DELETE_FAILURE_CONTENT'     : 'The picture couldn\'t be deleted. Please check your connection or try again later.'
	  'DETAIL_PICINFO_FAILURE_CONTENT'    : 'The information concerning this picture couldn\'t be loaded. Please check your connection or try again later.'

	  'EDIT_TITLE'                        : 'Edit picture'
	  'EDIT_PLACEHOLDER_DESCRIPTION'      : 'Description'
	  'EDIT_PLACEHOLDER_TAG'              : 'Add tag'
	  'EDIT_PLACEHOLDER_TITLE'            : 'Title'
	  'EDIT_CHANGES_SUCCESS_HEADING'      : 'Changes successful'
	  'EDIT_CHANGES_SUCCESS_CONTENT'      : 'Your changes have been performed successfully.'
	  'EDIT_CHANGES_FAILURE_HEADING'      : 'Changes failed'
	  'EDIT_CHANGES_FAILURE_CONTENT'      : 'Your changes couldn\'t be submitted. Please check your connection or try again later.'
	  'EDIT_VISIBILITY_LABEL'             : 'Visibility'
	  'EDIT_VISIBILITY_PRIVATE'           : 'private'
	  'EDIT_VISIBILITY_PUBLIC'            : 'public'
	  'EDIT_VISIBILITY_DCMEMBER'          : 'DocCheck-member'
	  'EDIT_VISIBILITY_MEDIC'             : 'medical member'

	  'SEARCH_OWN_PICTURES'               : 'Own pictures'
	  'SEARCH_OWN_LOGIN_REQUIRED'         : 'To view your own pictures please log in first.'

	  'FEEDBACK_TITLE'                    : 'Send feedback'

	  'HELP_TITLE'                        : 'Help &amp; tips'
	  # TO BE TRANSLATED
	  'HELP_CONTENT'                      : '<b style="color:#000">What is the Pictures App?</b><br /> 
	                                          DocCheck Pictures is the free medical picture library of Europe\s largest Healthcare-Community. The library contains enthält u.a. Fallbeispiele, Befunddokumentationen, Mikrofotografien, bildgebende Verfahren der Medizin und schematische Darstellungen.
	                                          Stöbern Sie in über 20.000 Medizinbildern und teilen Sie Ihre interessanten Fälle mit über 1.000.000 Kollegen. <br />
	                                          Mit der kostenlosen App haben Sie das Bildarchiv immer dabei und können Fälle ganz einfach per Knopfdruck teilen. <br />
	                                          <br />
	                                          <b style="color:#000">Wie kann ich ein Bild hochladen?</b><br />
	                                          Wenn Sie auf die Kamera in der Mitte unten klicken, können Sie auswählen, ob Sie Bilder aus Ihrem Archiv hochladen wollen oder direkt ein Foto aufnehmen wollen. Das frisch aufgenommene Foto wird dann automatisch direkt bei DocCheck hochgeladen.<br />
	                                          <br />
	                                          <b style="color:#000">Wer kann meine Bilder sehen?</b><br />
	                                          Das kommt ganz auf Ihre Sichtbarkeitseinstellungen an. Diese können Sie ändern, wenn Sie in den Einstellungen auf „Standard-Datenschutz“ klicken.<br />
	                                          <br />
	                                          <b style="color:#000">Was muss ich bei der Veröffentlichung von Patientenbildern beachten?</b><br />
	                                          Da gerade bei Bildern die Erkennbarkeit der Patienten nicht vollkommen ausgeschlossen werden kann und Bilder von Krankheiten die Intimsphäre des Patienten betreffen, ist eine Einwilligung des Patienten erforderlich. Bitte sorgen Sie in jedem Fall dafür, dass die Gesichter der Patienten nicht abgebildet werden und veröffentlichen Sie keine Namen Ihrer Patienten.'

	  'PRIVACY_TITLE'                     : 'Privacy'

	  'SETTINGS_TITLE'                    : 'Settings'
	  'SETTINGS_NOTIFICATIONS'            : 'Notifications'
	  'SETTINGS_SAVE_LOCALLY'             : 'Save locally'
	  'SETTINGS_SIGN_OUT'                 : 'Sign out'
	  'SETTINGS_HELP'                     : 'Help &amp; tips'
	  'SETTINGS_PRIVACY'                  : 'Privacy'
	  'SETTINGS_FEEDBACK'                 : 'Send feedback'
	  'SETTINGS_PROMOTION'                : 'Additional information'

	  'CONNECTION_ERROR'                  : 'Connection failed'
	  'NO_CONNECTION_HEADING'             : 'No connection'
	  'NO_CONNECTION_CONTENT'             : 'No internet connection available. Please connect your device to the Internet and try again.'
	  'YES'                               : 'Yes'            
	  'NO'                                : 'No'
	  'CONFIRM'                           : 'Okay'
	  'CANCEL'                            : 'Cancel'
	  'SUBMIT'                            : 'Submit'
	  'LOADING'                           : 'Loading...'
	  'LOGIN_REQUIRED'                    : 'Login required'
	  'LOGIN_REQUIRED_CONTENT'            : 'Please log in first to use this function.'
	  'LOGIN_FAILED'                      : 'Login failed'
	  'LOGIN_FAILED_CONTENT'              : 'Username or password not correct.'
	  'LOGIN_INCORRECT'                   : 'Invalid combination of username and password.'
	  'UPLOAD_SUCCESS_HEADING'            : 'Upload finished'
	  'UPLOAD_SUCCESS_CONTENT'            : 'The upload has finished successfully.'
	  'UPLOAD_FAILURE_HEADING'            : 'Upload canceled'
	  'UPLOAD_FAILURE_CONTENT'            : 'The upload couldn\'t be finished. Please check your connection or try again later.'
	  'UPLOAD_IN_PROGRESS_HEADING'        : 'Upload...'
	  'UPLOAD_IN_PROGRESS_CONTENT'        : 'Picture is being uploaded...'

	  'DISCLAIMER_TITLE'                  : 'Disclaimer'
	  'SETTINGS_DISCLAIMER'               : 'Disclaimer'
	  'IMPRESS'                           : 'Impress'
	  'LANGUAGE'                          : 'Language'
	  'ADDITIONAL_INFORMATION'            : 'Additional information'
	  'OFFLINE'                           : 'An error occured while loading.<br />
	                                         Please check your Internet connection and try again.'
	  'SEARCH_OWN_NO_ITEMS'               : 'You haven\'t uploaded any images yet. Click on the camrea below and start right now!'
	  'PRIVACY_VISIBILITY_TEXT'           : 'Hier kannst Du einstellen, wer Deine Bilder sehen darf.' #!
	  'PRIVACY_RIGHTS_LABEL'              : 'Rights'   
	  'PRIVACY_RIGHTS_TEXT'               : 'Welche Rechte liegen auf deinen Bildern?' # !
	  'PRIVACY_ALL_RIGHTS_RESERVED'       : 'All rights reserved'
	  'PRIVACY_CREATIVE_COMMONS'          : 'Creative Commons'
	  'PRIVACY_CC_ATTR'                   : 'Attribution'
	  'PRIVACY_CC_ATTR_NODER'             : 'Attribution-NoDerivs'
	  'PRIVACY_CC_ATTR_SHARE'             : 'Attribution-ShareAlike'
	  'PRIVACY_CC_ATTR_NONCOMM'           : 'Attribution-NonCommercial'
	  'PRIVACY_CC_ATTR_NONCOMM_NODER'     : 'Attribution-NonCommercial-NoDerivs'
	  'PRIVACY_CC_ATTR_NONCOMM_SHARE'     : 'Attribution-NonCommercial-ShareAlike'
	  'PRIVACY_PUBLIC_DOMAIN'             : 'Public Domain Dedication'

	  'OVERLAY_TAKE_PHOTO'                : 'Take photo'
	  'OVERLAY_OPEN_GALLERY'              : 'Pick from gallery'
	  
	  'PRIVACY_IN_FUTURE'                 : 'Soon you will also be able to change your default rights settings here.'
	  'DETAIL_INFO'                       : 'Details'
	  'LOGIN_REQUIRED_REF'                : 'Sign in to see more exciting pictures and to upload your own.'

	  'DISCLAIMER_CONTENT'                : ''
	})
)