angular.module("Flexikon.controllers").controller('ArticleCtrl', ($scope, $rootScope, $controller, $ionicNavBarDelegate, $ionicSideMenuDelegate, $timeout, NavBar, Theme, GuidedTour, StateChangeInterrupter) ->

	$controller('TrackingCtrl', {$scope: $scope});
	
	$scope.$on("$ionicView.beforeEnter", ->
		$scope.$broadcast("article.beforeEnter", arguments)
	)

	$scope.$on("$ionicView.beforeLeave", ->
		$scope.$broadcast("article.beforeLeave", arguments)
	)

	$scope.$on('$ionicView.enter', ->
		$ionicSideMenuDelegate.canDragContent(true)
		$scope.$broadcast("article.enter", arguments)
	)

	$scope.$on('$ionicView.leave', ->
		$ionicSideMenuDelegate.canDragContent(false)
		$scope.$broadcast("article.leave", arguments)
		StateChangeInterrupter.unregisterCallback()
	)

	$scope.darkThemeSelected = ->
		return Theme.darkThemeSelected()
)